﻿


@font-face {
    font-family: 'Franie Test';
    src: url('/Content/Tipografia/franie-10.otf') format('opentype'), url('/Content/Tipografia/franie-11.otf') format('opentype'), url('/Content/Tipografia/franie-extra.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Franie Test Extra';
    src: url('/Content/Tipografia/franie-extra.otf') format('opentype');
    font-weight: normal; /* Extra bold o el estilo que represente */
    font-style: normal;
}

@font-face {
    font-family: 'Bitcheese';
    src: url('/Content/Tipografia/Bitcheese.otf') format('opentype'), url('/Content/Tipografia/FranieVariableTest-SemiBold-BF64c31f3d7b0b9.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@media (min-width: 320px) and (max-width: 480px) {
    /* Ajustes para pantallas de móviles pequeños como 375px de ancho */
    .container {
        display: unset !important;
        height: 100vh;
        /* max-width: 100%; */
        padding: 0px !important;
    }

    .left-section, .right-section {
        width: 100%;
        max-width: 100%;
    }

    .left-section {
        order: 1; /* Se mantiene arriba */
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 20px;
        text-align: center;
        max-width: 100% !important;
        height: 100vh;
        margin-bottom: -35%;
        margin-top: -30%;
    }

    .right-section {
        order: 2; /* Queda abajo */
        flex: -16;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0;
        overflow: hidden;
    }

    .logo {
        width: 50% !important; /* Reducimos el tamaño del logo para pantallas pequeñas */
        margin: -40px auto -5px !important;
    }

    .txtPubli {
        font-size: 20px !important;
    }

    .buttons button {
        font-size: 10px;
        text-align: center;
        padding: 3px;
        width: 80% !important;
    }


    .submit-btn {
        background-color: #f5a623;
        color: white;
        padding: 5px !important;
        width: 100%;
        border: none;
        font-size: 5px !important;
        cursor: pointer;
        border-radius: 5px;
        font-size: 10px !important;
        border: 2px solid #FFAE00 !important;
    }

    .toggle1-password {
        right: 10px; /* Ajuste para el icono del ojo */
    }

    .campos {
        width: 100% !important;
        font-size: 11px !important;
    }

    .mensajesVin {
        width: 100% !important;
        list-style: none;
        font-size: 10px !important;
        margin-top: 10%;
        margin-bottom: auto;
        overflow: hidden;
    }

    .mensajeError {
        font-size: 10px;
        margin-bottom: -10px;
    }

    .visor {
        cursor: pointer;
        right: 5%;
        top: 50%;
        transform: translateY(-50%);
        font-size: 10px;
    }

    .background-image {
        width: 100%;
        height: auto !important;
        object-fit: cover;
        overflow: hidden;
    }

    .titulo {
        font-size: 15px;
        margin-bottom: -20px;
        margin-top: 0px;
    }

    #crear-cuenta-titulo {
        font-size: 15px;
        margin-bottom: -40px;
        margin-top: 0px;
    }

    #Email-error {
        font-size: 10px !important;
    }

    .titulopassword {
        font-size: 10px !important;
    }

    .info {
        font-size: 10px !important;
        max-width: 100% !important;
        width: 100% !important;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    /* Ajustes para pantallas de tamaño mediano, como tabletas */
    .container {
        padding: 1px;
    }

    .body {
        background: white !important;
    }

    #loginForm {
        width: 100% !important;
    }

    .mensajeError {
        font-size: 10px;
    }

    .mensajesVin {
        font-size: 12px !important;
        transform: translate(0%, 50%) !important;
    }

    .left-section, .right-section {
        width: 100%;
        max-width: 100%;
    }

    .logo {
        width: 45% !important;
    }

    .txtPubli {
        font-size: 20px !important;
    }

    .buttons button {
        font-size: 12px;
        text-align: center;
        padding: 5px;
    }


    .login-form input {
        width: 10%;
        font-size: 5px; /* Reduce el tamaño del texto para móviles */
    }

    .submit-btn {
        background-color: #f5a623;
        color: white;
        padding: 5px !important;
        width: 100%;
        border: none;
        font-size: 12px !important;
        cursor: pointer;
        border-radius: 5px;
    }

    .toggle1-password {
        right: 10px; /*Ajuste para el icono del ojo */
    }

    .campos {
        width: 100% !important;
        font-size: 12px !important;
    }

    .visor {
        cursor: pointer;
        right: 5%;
        top: 50%;
        transform: translateY(-50%);
        font-size: 10px;
    }

    .background-image {
        /*        width: 100%;
        height: 36% !important;
        object-fit: cover;
        margin-right:27px;*/
    }

    .titulo {
        font-size: 15px;
        margin-bottom: -15px;
        margin-top: -15px;
    }

    .titulopassword {
        font-size: 12px !important;
    }

    .info {
        width: 100% !important;
        font-size: 7px;
    }

    .text-danger {
        font-size: small;
    }
}

@media (min-width: 360px) and (max-width: 1024px) and (orientation: landscape) {
    /* Ajustes para pantallas de tamaño mediano, como tabletas */
    .container {
        padding: 1px;
        height: auto !important;
    }

    .body {
        background: white !important;
    }

    #loginForm {
        width: 100% !important;
        margin-top:15% !important;
    }

    .mensajeError {
        font-size: 10px;
    }

    .mensajesVin {
        font-size: 10px !important;
        transform: translate(0%, 20%) !important;
    }

    .left-section, .right-section {
        width: 100%;
        max-width: 100%;
    }

    .logo {
        width: 45% !important;
        margin-top: 15% !important;
    }

    .txtPubli {
        font-size: 18px !important;
    }


    .buttons {
        margin-bottom: 5px !important;
    }

        .buttons button {
            font-size: 11px;
            text-align: center;
            padding: 3px;
        }


    .login-form input {
        width: 10%;
        font-size: 5px; /* Reduce el tamaño del texto para móviles */
    }

    .submit-btn {
        background-color: #f5a623;
        color: white;
        padding: 3px !important;
        width: 100%;
        border: none;
        font-size: 11px !important;
        cursor: pointer;
        border-radius: 5px;
    }

    .toggle1-password {
        right: 10px; /*Ajuste para el icono del ojo */
    }

    .campos {
        width: 100% !important;
        font-size: 12px !important;
    }

    .visor {
        cursor: pointer;
        right: 5%;
        top: 50%;
        transform: translateY(-50%);
        font-size: 10px;
    }

    .background-image {
        /*        width: 100%;
        height: 36% !important;
        object-fit: cover;
        margin-right:27px;*/
    }

    .titulo {
        font-size: 14px;
        margin-bottom: -10px;
        margin-top: -16px;
    }

    .titulopassword {
        font-size: 11px !important;
    }

    .info {
        width: 100% !important;
        font-size: 7px;
    }

    .text-danger {
        font-size: small;
    }
}
